<mat-card>
  <mat-card-header>
    <mat-card-title>
      <span highlight="lightblue">{{ post.title | titlecase }}</span>
    </mat-card-title>
    <mat-card-subtitle>
      <span>{{ tempUser | username }}</span>
      <span>{{ post.createdDate | timeAgo }}</span>
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <img mat-card-image *ngIf="post.imageUrl as imageUrl" [src]="imageUrl" [alt]="post.title">
    <span class="post-content">{{ post.content | shorten: 100}}</span>
  </mat-card-content>
  <mat-card-actions>
    <app-comments [comments]="post.comments" (newComment)="onNewComment($event)"></app-comments>
  </mat-card-actions>
</mat-card>
